#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.1.3
visibility:           public
id:                   persistent-test-2.13.1.3-9eIqKYthNvtKaI0CBzVzq5
key:                  persistent-test-2.13.1.3-9eIqKYthNvtKaI0CBzVzq5
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  01a0a6cccfd0399eadee1728bb8945a9
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest TypeLitFieldDefsTest
    UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/persistent-test-2.13.1.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.1.3-9eIqKYthNvtKaI0CBzVzq5
depends:
    HUnit-1.6.2.0-CPWQpyCIdk22Bt7iCoAAT8
    QuickCheck-2.14.3-KaOz3Xaj3ggAE1cuh30aan
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs base-4.16.4.0
    blaze-html-0.9.2.0-6xCBUobFMU18QGaDMyu6Ac bytestring-0.11.4.0
    conduit-1.3.6.1-KSzGaZ8cq4P3htohnAruUm containers-0.6.5.1
    exceptions-0.10.4 hspec-2.10.9-5uK8psdHaxaCyYU6ycW6Gf
    hspec-expectations-0.8.3-ErMXtZQLeFgA3PdxY52S12
    http-api-data-0.5.1-7W9k8c2SIK1Ac4LatrnWJ
    monad-control-1.0.3.1-GkuZPEUBz3BKbX9xfvMljM
    monad-logger-0.3.41-H4I9pQtATuhG5xoLOgyPw9 mtl-2.2.2
    path-pieces-0.2.1-E15XfVOwfTfIr2VliI4YGA
    persistent-2.14.5.1-JUCCGKlkhUb4GdsfTnVVNB
    quickcheck-instances-0.3.30-sLQNKyMkFdH7CfObjyXnU
    random-1.2.1.2-81vy8e6NCuX1qZ1DGAELzi
    resourcet-1.2.6-2C7ht4TXA2B8naDsqbVbO6 text-1.2.5.0 time-1.11.1.1
    transformers-0.5.6.2 transformers-base-0.4.6-KOD2bxom1n4If90CQp5Jjk
    unliftio-0.2.25.1-6TQZ4UCNBtlLftWP3Dt2Ro
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

